xmltooling 3.2.4

Classes | Namespaces | Macros | Functions
KeyInfoResolver.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/base.h>`
Include dependency graph for KeyInfoResolver.h:

## Classes
class | xmltooling::KeyInfoResolver
| Resolves credentials from KeyInfo information. More...

## Namespaces
namespace | xmlsignature
| Public namespace of XML Signature classes.
namespace | xmltooling
| Public namespace of XML Tooling library.

## Macros
#define | __xmltooling_keyres_h__
#define | INLINE_KEYINFO_RESOLVER "Inline"
| KeyInfoResolver based on extracting by value directly out of a KeyInfo.

## Functions
void | xmltooling::registerKeyInfoResolvers ()
| Registers KeyInfoResolver classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Resolves credentials from KeyInfo information.